# $Id: libdv.spec,v 1.1 2002/08/01 08:35:39 dude Exp $

Summary: A software codec for DV video, used by most digital camcorders.
Name: libdv
Version: 0.98
Release: fr1
License: GPL
Group: System Environment/Libraries
Source: http://prdownloads.sourceforge.net/libdv/libdv-%{version}.tar.gz
URL: http://libdv.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root

%description 
The Quasar DV codec (libdv) is a software codec for DV video, the encoding
format used by most digital camcorders, typically those that support the
IEEE 1394 (a.k.a. FireWire or i.Link) interface. Libdv was developed
according to the official standards for DV video: IEC 61834 and SMPTE 314M. 


%package devel
Summary: Development file for programs which use the libdv library.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The Quasar DV codec (libdv) is a software codec for DV video, the encoding
format used by most digital camcorders, typically those that support the
IEEE 1394 (a.k.a. FireWire or i.Link) interface. Libdv was developed
according to the official standards for DV video: IEC 61834 and SMPTE 314M. 

This is the libraries, include files and other resources that are used to
incorporate libdv into applications.


%prep
%setup -q

%build
test ! -f configure && ./bootstrap # Needed for snapshot releases.
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPY* NEWS README* TODO
%{_bindir}/*
%{_libdir}/libdv.so.*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/libdv
%{_libdir}/libdv.a
%{_libdir}/libdv.la
%{_libdir}/libdv.so
%{_libdir}/pkgconfig/*

%changelog
* Thu Aug  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file rewrite from the one included with the sources.

